List Webhooks

List all webhooks for the organization. The signing secret is not returned in list responses.

GET/webhooks

Resend Compatibility: Compatible

Requires an API key with the webhooks:read permission.

Query Parameters

limitnumber

Maximum number of results to return. Min 1, max 100. Default 20.

afterstring

Cursor for forward pagination.

beforestring

Cursor for backward pagination.

Response Fields

objectstring

Always "list".

has_moreboolean

Whether there are more results available.

dataarray

Array of webhook objects (without signing secrets).

curl -X GET 'https://api.postflare.dev/webhooks' \
  -H 'Authorization: Bearer sk_xxxxxxxxx'
const response = await fetch('https://api.postflare.dev/webhooks', {
  headers: {
    'Authorization': 'Bearer sk_xxxxxxxxx',
  },
});

const data = await response.json();

Response

Response
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "created_at": "2026-01-01T00:00:00.000Z",
      "status": "enabled",
      "endpoint": "https://example.com/webhooks",
      "events": ["email.sent", "email.delivered", "email.bounced"]
    }
  ]
}